Hooks:PostHook( WeaponTweakData, "init", "SC30Init", function(self)

--self.r93.weapon_hold = "m95"

	self.sc30.animations.bipod_enter = "bipod_enter"
	self.sc30.animations.bipod_exit = "bipod_exit"
	self.sc30.animations.bipod_recoil = "bipod_recoil"
	self.sc30.animations.bipod_recoil_enter = "bipod_recoil"
	self.sc30.animations.bipod_recoil_loop = "bipod_recoil_loop"
	self.sc30.animations.bipod_recoil_exit = "bipod_recoil_exit"
	self.sc30.spread.bipod = default_bipod_spread
	self.sc30.bipod_camera_spin_limit = 45
	self.sc30.bipod_camera_pitch_limit = 20
	self.sc30.bipod_weapon_translation = Vector3(0,8,-7)
	self.sc30.bipod_deploy_multiplier = 1
	self.sc30.timers.deploy_bipod = 0.1
	
if self.new_m4.reload_timed_stance_mod then
	self.sc30.reload_timed_stance_mod = {
		not_empty = {
			hip = {
				{t = 2.0, translation = Vector3(0, -5, 0), rotation = Rotation(0, 0, 0), speed = 0.5},
				{t = 1.5, translation = Vector3(0, -5, 0), rotation = Rotation(0, 0, 0), speed = 0.5}, -- preventing issues with faster reloads
				{t = 0.0, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		},
		empty = {
			hip = {
				{t = 2.8, translation = Vector3(0, -5, 0), rotation = Rotation(0, 0, 0), speed = 0.5},
				{t = 1.5, translation = Vector3(0, -5, 0), rotation = Rotation(0, 0, 0), speed = 0.5}, -- preventing issues with faster reloads
				{t = 0.8, translation = Vector3(-5, 3, 0), rotation = Rotation(-28, 5, 0), speed = 0.5},
				{t = 0.0, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		}
	}
end

if self.SetupAttachmentPoint then
	self:SetupAttachmentPoint("sc30", {
		name = "a_ns", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, 3.3, 1.15 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc30", {
		name = "a_ns_long", 
        base_a_obj = "a_ns", 
        position = Vector3( 0, 15.646, 1.15 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc30", {
		name = "a_body_long", 
        base_a_obj = "a_body", 
        position = Vector3( 0, 12.346, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc30", {
		name = "a_fl", 
        base_a_obj = "a_fl", 
        position = Vector3( 0.7, 2, 1 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc30", {
		name = "a_o", 
        base_a_obj = "a_o", 
        position = Vector3( 0, -0.7, 4.5 ), --3
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc30", {
		name = "a_bolt2", 
        base_a_obj = "a_dh", 
        position = Vector3( 0, 0, 0 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("sc30", {
        name = "a_dh",
        base_a_obj = "a_dh",
        part_attach_data = {{"wpn_fps_ass_sc30_bolt_dummy"},"g_bolt"},
        position = Vector3(0, 0, 0),
        rotation = RotationCAP(0, 0, 0)
    })
end
end)